## ros-noetic-gennodejs 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gennodejs)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS gennodejs-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/gennodejs "JAVASCRIPT")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/gennodejs
  DESTINATION ${GENMSG_LANGS_DESTINATION})

# drop marker file to prevent rospack from spending time on crawling this folder
#file(WRITE ${CATKIN_DEVEL_PREFIX}/share/nodejs/rospack_nosubdirs "")
#install(FILES ${CATKIN_DEVEL_PREFIX}/share/nodejs/rospack_nosubdirs
#  DESTINATION share/nodejs)

catkin_python_setup()

=== scripts/CMakeLists.txt ===
catkin_install_python(
  PROGRAMS gen_nodejs.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-noetic-gennodejs (2.0.2-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Smith <csmith@rethinkrobotics.com>  Fri, 07 Feb 2020 23:27:02 -0000

ros-noetic-gennodejs (2.0.1-1buster) buster; urgency=high

  * Fix an issue uncovered in checking fixed size message fields
  * Contributors: Chris Smith

 -- Chris Smith <csmith@rethinkrobotics.com>  Thu, 16 Feb 2017 08:00:00 -0000

ros-noetic-gennodejs (2.0.0-1buster) buster; urgency=high

  * The following changes make 2.0 incompatible with JavaScript
  messages objects generated in gennodejs 1.x
  * Bundled updates
  * Contributors: Chris Smith, Ian McMahon

 -- Chris Smith <csmith@rethinkrobotics.com>  Wed, 18 Jan 2017 08:00:00 -0000

ros-noetic-gennodejs (1.0.3-1buster) buster; urgency=high

  * Removed extraneous base file installs
  * Revert install space fix that re-used base js files per package
  * Added install space fix that copies base js files per package
  * Contributors: Ian McMahon, Rob Linsalata

 -- Chris Smith <csmith@rethinkrobotics.com>  Wed, 18 May 2016 07:00:00 -0000

ros-noetic-gennodejs (1.0.2-1buster) buster; urgency=high

  * Fixed gennodejs file deployment in install space
  * Fixed a python3 incompatibility in generate.py
  * Contributors: Chris Smith, Ian McMahon, Maarten de Vries

 -- Chris Smith <csmith@rethinkrobotics.com>  Wed, 18 May 2016 07:00:00 -0000

ros-noetic-gennodejs (1.0.1-1buster) buster; urgency=high

  * Package name-switch from genjs to gennodejs based on feedback
  * When deserializing, creates an instance of the message
    rather than using json.
  * Update genjs for install
    -No longer includes hardcoded paths in generated message files
    -Actually install stuff
  * Contributors: Chris Smith, Ian McMahon, chris-smith

 -- Chris Smith <csmith@rethinkrobotics.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-gennodejs (1.0.0-1buster) buster; urgency=high

  * Initial Release
  * ROS JS Message Generation
  * Builds automatically with catkin
  * Include support for ROS Services
  * Constants, Msg instances
    -generated msgs are now classes
    -msgs have constants included
  * Contributors: Chris Smith, Ian McMahon

 -- Chris Smith <csmith@rethinkrobotics.com>  Tue, 19 Apr 2016 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-gennodejs
Section: misc
Priority: optional
Maintainer: Chris Smith <csmith@rethinkrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-genmsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-gennodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-genmsg
Description: Javascript ROS message and service generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-gennodejs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
